clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::CodeActionContext Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::CodeActionContext:
[legend]

## Public Attributes
std::vector< Diagnostic > | diagnostics
| An array of diagnostics. More...

## Detailed Description

Definition at line 607 of file Protocol.h.

## Member Data Documentation

## ◆ diagnostics

std::vector<Diagnostic> clang::clangd::CodeActionContext::diagnostics

An array of diagnostics.

Definition at line 609 of file Protocol.h.

Referenced by clang::clangd::asCommand(), and clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h